# Annotation Interface CommitLog

@Deprecated(since="5.0", forRemoval=true) @Target(TYPE) @Retention(RUNTIME) @Documented @Inherited public @interface CommitLog
Deprecated, for removal: This API element is subject to removal in a future version.
use `CommitLog` instead.
An annotation that adds commit log behavior to Persistent objects.

Since:
  4.0

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String[]`
  `confidential`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns an array of properties that should be treated as confidential.
  `boolean`
  `ignoreAttributes`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns whether all attributes should be excluded from commit log.
  `String[]`
  `ignoredProperties`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns an array of entity properties that should be excluded from commit log.
  `boolean`
  `ignoreToManyRelationships`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns whether all to-many relationships should be excluded from commit log.
  `boolean`
  `ignoreToOneRelationships`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns whether all to-one relationships should be excluded from commit log.

- ## Element Details

  - ### ignoredProperties

    String[] ignoredProperties
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns an array of entity properties that should be excluded from commit log.
    Default:
      `{}`

  - ### ignoreAttributes

    boolean ignoreAttributes
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns whether all attributes should be excluded from commit log.
    Since:
      4.0
    Default:
      `false`

  - ### ignoreToOneRelationships

    boolean ignoreToOneRelationships
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns whether all to-one relationships should be excluded from commit log.
    Since:
      4.0
    Default:
      `false`

  - ### ignoreToManyRelationships

    boolean ignoreToManyRelationships
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns whether all to-many relationships should be excluded from commit log.
    Since:
      4.0
    Default:
      `false`

  - ### confidential

    String[] confidential
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns an array of properties that should be treated as confidential. I.e. their change should be recorded, but their values should be hidden from listeners. In practice both old and new values will be set to an instance of `Confidential`.
    Since:
      4.0
    Default:
      `{}`